<div class="row">
  <div class="col-md-12">
    <div class="main-card mb-3 card">
      <div class="card-header">Panel Management
        <div class="btn-actions-pane-right">
          <div role="group" class="btn-group-sm btn-group">
            <button class="btn btn-focus mat-raised-button mat-accent" (click)="openLg(content)">New Panel</button>
          </div>
        </div>
      </div>
      <div class="table-responsive">
        <table class="align-middle mb-0 table table-borderless table-striped table-hover">
          <thead>
            <tr>
              <th class="text-center">Station </th>
              <th class="text-center">Location</th>
              <th class="text-center">Panel Name</th>
              <th class="text-center">Serial No </th>
              <th class="text-center">Mqtt Ip</th>
              <th class="text-center">Mqtt Port</th>
              <th class="text-center">Mqtt Topic</th>
              <th class="text-center">No. of Switch</th>
              <th class="text-center">Create Date</th>
              <th class="text-center">Update Date</th>
              <th class="text-center">Status</th>
              <th class="text-center">Action</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>
                <div class="card-body">
                  <mat-form-field style="width:130px !important">
                    <mat-select [(value)]="selected" placeholder="Select">
                      <mat-option></mat-option>
                      <mat-option value="option1">Option 1</mat-option>
                      <mat-option value="option2">Option 2</mat-option>
                      <mat-option value="option3">Option 3</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </td>
              <td class="text-center">
                <div class="card-body">
                  <mat-form-field style="width:130px !important">
                    <mat-select [(value)]="selected" placeholder="Select">
                      <mat-option></mat-option>
                      <mat-option value="option1">Option 1</mat-option>
                      <mat-option value="option2">Option 2</mat-option>
                      <mat-option value="option3">Option 3</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </td>
              <td class="text-center">
                <div class="mat-form-field-infix"><textarea _ngcontent-c7=""
                    class="mat-input-element mat-form-field-autofill-control cdk-textarea-autosize mat-autosize cdk-text-field-autofill-monitored"
                    matautosizemaxrows="5" matautosizeminrows="2" matinput="" mattextareaautosize=""
                    placeholder="Type here" rows="1" ng-reflect-placeholder="Type here"
                    ng-reflect-mat-autosize-min-rows="2" ng-reflect-mat-autosize-max-rows="5"
                    ng-reflect-mat-textarea-autosize="" id="mat-input-3" aria-invalid="false" aria-required="false"
                    style="min-height: 30px; max-height: 75px; height: 30px;"></textarea><span
                    class="mat-form-field-label-wrapper">
                    <!--bindings={
                  "ng-reflect-ng-if": "true"
                }--><label class="mat-form-field-label ng-tns-c8-5 mat-empty mat-form-field-empty ng-star-inserted"
                      ng-reflect-ng-switch="false" ng-reflect-disabled="true" id="mat-form-field-label-7"
                      for="mat-input-3" aria-owns="mat-input-3"></label></span></div>
              </td>

              <td class="text-center">

              </td>

              <td class="text-center">
                <div class="widget-content p-0">

                </div>
              </td>

              <td class="text-center">

              </td>
              <td class="text-center">

              </td>
              <td class="text-center">

              </td>
              <td class="text-center">

              </td>
              <td class="text-center">

              </td>

              <td class="text-center">
                <div class="card-body">
                  <mat-form-field style="width:130px !important">
                    <mat-select [(value)]="selected" placeholder="Select">
                      <mat-option>selects</mat-option>
                      <mat-option value="option1">All</mat-option>
                      <mat-option value="option2">Active</mat-option>
                      <mat-option value="option3">In-Active</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </td>

              <td class="text-center">

              </td>
            </tr>

          </tbody>


          <tbody *ngFor="let panel of panellist">
            <tr >
              <td>
                <div class="widget-content p-0">
                  <div class="widget-heading">{{panel.station.parent.name}}</div>
                </div>
              </td>
              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">{{panel.station.name}}</div>
                </div>
              </td>
              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">{{panel.name}}</div>
                </div>
              </td>

              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">{{panel.serial_no}}</div>
                </div>
              </td>

              <td class="text-center">
                <div class="widget-content p-0">
                  <div class="widget-heading">{{panel.mqtt_ip}}</div>
                </div>
              </td>

              <td class="text-center">
                <div class="widget-content ">{{panel.mqtt_port}}</div>
              </td>

              <td class="text-center">
                <div class="widget-content ">{{panel.mqtt_topic}}</div>
              </td>
              <td class="text-center">
                <div class="widget-content ">{{panel.switch.length}}</div>
              </td>
              <td class="text-center">
                <div class="widget-content ">{{panel.created_at}}</div>
              </td>
              <td class="text-center">
                <div class="widget-content ">{{panel.updated_at}}</div>
              </td>

              <td class="text-center">
                <div class="widget-content ">{{panel.updated_at}}</div>
              </td>

              <td class="text-center">
                <div class="widget-content badge badge-success">
                  <div class="widget-heading">Active</div>
                </div>
              </td>

          
            </tr>

          </tbody>



        </table>
      </div>
      <div class="d-block text-center card-footer">
        <button class="mr-2 btn-icon btn-icon-only btn btn-outline-danger"><i class="pe-7s-trash btn-icon-wrapper"> </i>
        </button>
        <button class="btn-wide btn btn-success">Save</button>
      </div>
    </div>
  </div>
</div>




<ng-template #content let-modal>
  <div class="modal-header">
    <h4 class="modal-title">{{header}}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <form [formGroup]="staffForm" (ngSubmit)="onSubmit()" #form="ngForm">

    <div class="modal-body">
      <input type="hidden" formControlName="is_active" value="1">
      <mat-form-field class="example-full-width">

        <select matNativeControl formControlName="station" #mySelect (change)='onOptionsSelected(mySelect.value)'>
          <option value="">Select Station</option>
          <option *ngFor="let station of stationList" [value]="station.id">
            {{station.name}}
          </option>


        </select>
      </mat-form-field>


      <mat-form-field class="example-full-width">

        <select matNativeControl formControlName="location">
          <option value="">Select Location</option>
          <option *ngFor="let location of locationList" [value]="location.id">
            {{location.name}}
          </option>
        </select>
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="Name" required formControlName="name" />
      </mat-form-field>


      <mat-form-field class="example-full-width">
        <input matInput placeholder="Serial Number" required formControlName="serial_no" />
      </mat-form-field>


      <mat-form-field class="example-full-width">
        <input matInput placeholder="MQTT IP" required formControlName="mqtt_ip" />
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="MQTT Port" required formControlName="mqtt_port" />
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="MQTT Topic" required formControlName="mqtt_topic" />
      </mat-form-field>

      <mat-form-field class="example-full-width">
        <input matInput placeholder="Number Of Switch" required formControlName="number_of_switch" />
      </mat-form-field>

      <mat-checkbox class="example-full-width" formControlName="pump"> Pump</mat-checkbox>


      <mat-checkbox class="example-full-width" formControlName="is_smart_switch">Smart SWitch</mat-checkbox>


    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary">Save</button>
    </div>
  </form>
</ng-template>